#include <iostream>
using namespace std;

int main()
{

    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    int a[n];
    bool b[n]= {0};
    cin >> a[0];
    int pom=a[0];
    for(int i=1; i<n; i++)
    {
        cin >> a[i];
        if(a[i]<pom)
            b[i]=1;
        pom=a[i];
    }
    int q;
    cin >> q;
    bool ans[q]= {0};
    for(int i=0; i<q; i++)
    {
        int l,r;
        cin >> l >> r;
        bool pom1=0;
        for(int j=l; j<r; j++)
        {
            if(b[j])
            {
                if(pom1)
                {
                    ans[i]=1;
                    break;
                }
                pom1=1;
            }
        }
    }
    for(int i=0; i<q; i++)
    {
        if(ans[i])
            cout << "NE" << endl;
        else
            cout << "DA" << endl;
    }
    return 0;
}